Ensure we do not oversubscribe freespace for AIO stress test (take 2).
[xfstests-dev.git] / 113
diff --git a/113 b/113
index 107519d65edc68cdc9ba542df2d35e3391e4619b..78aecc46f517b1fe615439ba2936fbbb9b1ae481 100755 (executable)
--- a/113
+++ b/113
@@ -49,9 +49,6 @@ trap "_cleanup; exit \$status" 0 1 2 3 15
 _cleanup()
 {
     cd /
-    # we might get here with a RO FS
-    mount -o remount,rw $TEST_DEV >/dev/null 2>&1
-    # now kill!
     rm -f $testdir/aio-stress.$$.*
     _cleanup_testdir
 }
@@ -65,28 +62,38 @@ _do_test()
     _n="$1"
     _param="$2"
     _count="$3"
-
-    out=$testdir/aiostress.$$.$_n
-    rm -f $out
+    _nproc="$4"
+
+    _files="$testdir/aiostress.$$.$_n"
+    __proc=$_nproc
+    [ $__proc -gt 1 ] && _param="-t $__proc $_param"
+    while [ $__proc -gt 1 ]; do
+        _files="$_files $testdir/aiostress.$$.$_n.$__proc"
+       __proc=`expr $__proc - 1`
+    done
+    rm -f $_files
  
     echo ""
     echo "-----------------------------------------------"
     echo "aio-stress.$_n : $_param"
     echo "-----------------------------------------------"
-    if ! $here/ltp/aio-stress $_param $AIOSTRESS_AVOID -I $_count $out >>$tmp.out 2>&1
+    if ! $here/ltp/aio-stress $_param $AIOSTRESS_AVOID -I $_count $_files >>$tmp.out 2>&1
     then
         echo "    aio-stress (count=$_count) returned $?"
         cat $tmp.out
         status=1
+        exit
     fi
 
     _check_test_fs
+    rm -f $_files
 }
 
 
 # real QA test starts here
-_supported_fs xfs udf
-_supported_os IRIX Linux
+_supported_os Linux
+
+[ -x $here/ltp/aio-stress ] || _notrun "aio-stress not built for this platform"
 
 _setup_testdir
 
@@ -97,16 +104,13 @@ procs=20
 
 _check_test_fs
 
-# LTP
- -I500 -o3 -S -r128 -t4 
-
 # the default
-_do_test 1 "" $count
+_do_test 1 "-s 120m" $count 1
 
 # and the default with multiprocess
-_do_test 2 "-t $procs" $count
+_do_test 2 "-s 10m" $count $procs
 
 # as above, but now using direct IO
-_do_test 3 "-t $procs -O" $count
+_do_test 3 "-s 10m -O" $count $procs
 
 exit